petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFRestoreWindow

Restores a window obtained with PetscSFGetWindow()

### Synopsis

    #include "petscsf.h"
    static PetscErrorCode PetscSFRestoreWindow(PetscSF sf,MPI_Datatype unit,const void *array,PetscBool epoch,PetscMPIInt fenceassert,MPI_Win *win)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| array | - array associated with window
| epoch | - close an epoch, must match argument to PetscSFGetWindow()
| win | - window

### See Also

PetscSFFindWindow()

### Level

developer

### Location

src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages